Subject: [core-updates-frozen] Wine fails to build; failing i686 tests

From: John Kehayias <[email-masked]>
Date: Wed, 24 Nov 2021 17:28:31 +0000

Hi everyone,

I was hoping the polkit/duktape patch would resolve issues with i686 builds that prevent Wine from building (on x86-64 where it needs the i686 version). While it has gotten further, it is failing due to test failures on i686 for its dependencies. I've successfully built Wine for i686 with:

guix build wine -s i686-linux --without-tests=plotutils --without-tests=glib-networking --without-tests=lib2geom --without-tests=[email-masked]

I don't know if I'll have the chance today to try to disable or fix the failing tests on i686 for these packages, which would also likely help the i686 coverage (lots of packages depend on these). If someone is more familiar with these packages and tests, that would be most helpful.

Here are the most recent failure logs on Cuirass for the packages:

plotutils (2 tests): https://ci.guix.gnu.org/build/1685012/log/raw

glib-networking (1 test): https://ci.guix.gnu.org/build/1759508/log/raw

lib2geom (1 test): https://ci.guix.gnu.org/build/1690360/log/raw

[email-masked] (2 tests): https://ci.guix.gnu.org/build/1331231/log/raw

Hope this is helpful! If I do make any progress on patches for these tests, I'll add it to this thread.

John